<?php

require_once ("../../config/Cado.php");

require_once("cMarca.php");

$oMarca = new cMarca();





require_once("../formatos/formato.php");



require_once dirname(__FILE__) . '/../../libreriasphp/phpexcel/Classes/PHPExcel.php';



move_uploaded_file($_FILES['file_archivo']['tmp_name'],$_FILES['file_archivo']['name']);



$archivo = $_FILES['file_archivo']['name'];



$inputFileType = PHPExcel_IOFactory::identify($archivo);

$objReader = PHPExcel_IOFactory::createReader($inputFileType);

$objPHPExcel = $objReader->load($archivo);

$sheet = $objPHPExcel->getSheet(0); 

$highestRow = $sheet->getHighestRow(); 

$highestColumn = $sheet->getHighestColumn();



for ($row = 1; $row <= $highestRow; $row++){ 

		$marnom = $sheet->getCell("A".$row)->getValue();	

		

		$marnom = strtoupper($marnom);

		$marnom = str_ireplace(" ","", $marnom);

		$marnom = str_ireplace("'","", $marnom);



		$rs=$oMarca->comprobar_si_existe($marnom);

		$num=mysqli_num_rows($rs);

		

		

		if($num>0){

			

		}

		else

		{		

			$oMarca->insertar($marnom);

		}	

} 



unlink($archivo);



	/* $data['mar_msj']='Archivo procesado correctamente.';			

	echo json_encode($data); */			

?>